/**
 * Any CSS included here will be global. The classic template
 * bundles Infima by default. Infima is a CSS framework designed to
 * work well for content-centric websites.
 */

 #__docusaurus {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

 /* You can override the default Infima variables here. */
:root {
  --gitlab-svg: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 990 380'%3E%3Cdefs%3E%3Cstyle%3E.cls-1%7Bfill:%23171321;%7D%3C/style%3E%3C/defs%3E%3Cg id='LOGO'%3E%3Cpath class='cls-1' d='M302,174.37l-.21-.56-21.2-55.3a5.5,5.5,0,0,0-2.18-2.63,5.6,5.6,0,0,0-8.41,3.2l-14.31,43.81H197.74l-14.31-43.81a5.61,5.61,0,0,0-8.41-3.2,5.5,5.5,0,0,0-2.18,2.63l-21.19,55.31-.22.55a39.36,39.36,0,0,0,13.06,45.49l.08.06.18.14L197,244.23l16,12.09,9.72,7.35a6.57,6.57,0,0,0,7.92,0l9.72-7.35,16-12.09,32.48-24.31.09-.07A39.36,39.36,0,0,0,302,174.37Z'/%3E%3Cpath class='cls-1' d='M428.92,171.51H451.7c-3.8-24.22-24.77-41.09-52.06-41.09-32.29,0-56.52,23.74-56.52,63.5,0,39.05,23.14,63.27,57.18,63.27,30.55,0,52.42-19.65,52.42-51.46V190.91H402.65v17.47h28.44c-.36,17.6-12.11,28.74-30.67,28.74-20.66,0-34.82-15.48-34.82-43.44,0-27.78,14.4-43.2,34.34-43.2C414.82,150.48,425,158.43,428.92,171.51Z'/%3E%3Cpath class='cls-1' d='M467.78,255.5h21.81V163H467.78Zm11-107.2c6.93,0,12.59-5.31,12.59-11.81s-5.66-11.87-12.59-11.87-12.65,5.3-12.65,11.87S471.75,148.3,478.74,148.3Z'/%3E%3Cpath class='cls-1' d='M554.9,163H536.64V140.78H514.83V163H501.7v16.87h13.13v51.46c-.12,17.41,12.54,26,28.92,25.49a44.29,44.29,0,0,0,12.84-2.17l-3.68-17.06a26.57,26.57,0,0,1-6.38.85c-5.49,0-9.89-1.93-9.89-10.73V179.82H554.9Z'/%3E%3Cpath class='cls-1' d='M571.78,255.5h76.7V236.76H594.14V132.1H571.78Z'/%3E%3Cpath class='cls-1' d='M690.26,257.37c14.52,0,23.19-6.81,27.17-14.58h.72V255.5h21V193.56c0-24.46-19.94-31.81-37.6-31.81-19.46,0-34.4,8.67-39.22,25.54l20.37,2.9c2.16-6.33,8.31-11.75,19-11.75,10.13,0,15.67,5.18,15.67,14.28v.36c0,6.26-6.57,6.57-22.9,8.31-17.95,1.93-35.12,7.29-35.12,28.14C659.29,247.73,672.6,257.37,690.26,257.37Zm7.17-16c-9.1,0-15.61-4.16-15.61-12.17,0-8.38,7.29-11.87,17-13.26,5.73-.78,17.18-2.23,20-4.51v10.9C718.88,232.6,710.56,241.34,697.43,241.34Z'/%3E%3Cpath class='cls-1' d='M755.21,255.5h21.45V240.92h1.26c3.44,6.75,10.61,16.21,26.52,16.21,21.81,0,38.14-17.3,38.14-47.78,0-30.85-16.81-47.6-38.2-47.6-16.33,0-23.14,9.82-26.46,16.51H777V132.1H755.21Zm21.39-46.27c0-18,7.71-29.59,21.75-29.59,14.52,0,22,12.35,22,29.59s-7.59,30-22,30C784.43,239.23,776.6,227.18,776.6,209.23Z'/%3E%3C/g%3E%3C/svg%3E");
  --yama-color-primary: #1c1e21;
  --yama-color-primary-hover: #077AA4;
  --yama-background-color: #575757;
  --yama-background-color-revert: #ebebeb;
  --yama-svg-footer-primary: #1c1e21;
  --yama-card-background-color: #FFFFFF;
  --yama-red: #ef2c1e;
  --yama-green: #55A630;
  --yama-purple: #d41c66;
  --ifm-link-color: var(--yama-color-primary-hover);
  --ifm-menu-color-active: var(--yama-color-primary-hover);
  --ifm-color-primary: var(--yama-color-primary-hover);
  --ifm-navbar-link-color: var(--yama-color-primary);
  --ifm-navbar-link-hover-color: var(--yama-color-primary-hover);
  --docusaurus-highlighted-code-line-bg: rgba(0, 0, 0, 0.1);
  --searchbar: var(--yama-color-primary-hover);
  --searchbar-dropdown-hover: rgba(36, 179, 192, 0.226) ;
}

[data-theme='dark'] {
  --gitlab-svg: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 990 380'%3E%3Cdefs%3E%3Cstyle%3E.cls-1%7Bfill:%23fff;%7D%3C/style%3E%3C/defs%3E%3Cg id='LOGO'%3E%3Cpath class='cls-1' d='M302,174.37l-.21-.56-21.2-55.3a5.5,5.5,0,0,0-2.18-2.63,5.6,5.6,0,0,0-8.41,3.2l-14.31,43.81H197.74l-14.31-43.81a5.61,5.61,0,0,0-8.41-3.2,5.5,5.5,0,0,0-2.18,2.63l-21.19,55.31-.22.55a39.36,39.36,0,0,0,13.06,45.49l.08.06.18.14L197,244.23l16,12.09,9.72,7.35a6.57,6.57,0,0,0,7.92,0l9.72-7.35,16-12.09,32.48-24.31.09-.07A39.36,39.36,0,0,0,302,174.37Z'/%3E%3Cpath class='cls-1' d='M428.92,171.51H451.7c-3.8-24.22-24.77-41.09-52.06-41.09-32.29,0-56.52,23.74-56.52,63.5,0,39.05,23.14,63.27,57.18,63.27,30.55,0,52.42-19.65,52.42-51.46V190.91H402.65v17.47h28.44c-.36,17.6-12.11,28.74-30.67,28.74-20.66,0-34.82-15.48-34.82-43.44,0-27.78,14.4-43.2,34.34-43.2C414.82,150.48,425,158.43,428.92,171.51Z'/%3E%3Cpath class='cls-1' d='M467.78,255.5h21.81V163H467.78Zm11-107.2c6.93,0,12.59-5.31,12.59-11.81s-5.66-11.87-12.59-11.87-12.65,5.3-12.65,11.87S471.75,148.3,478.74,148.3Z'/%3E%3Cpath class='cls-1' d='M554.9,163H536.64V140.78H514.83V163H501.7v16.87h13.13v51.46c-.12,17.41,12.54,26,28.92,25.49a44.29,44.29,0,0,0,12.84-2.17l-3.68-17.06a26.57,26.57,0,0,1-6.38.85c-5.49,0-9.89-1.93-9.89-10.73V179.82H554.9Z'/%3E%3Cpath class='cls-1' d='M571.78,255.5h76.7V236.76H594.14V132.1H571.78Z'/%3E%3Cpath class='cls-1' d='M690.26,257.37c14.52,0,23.19-6.81,27.17-14.58h.72V255.5h21V193.56c0-24.46-19.94-31.81-37.6-31.81-19.46,0-34.4,8.67-39.22,25.54l20.37,2.9c2.16-6.33,8.31-11.75,19-11.75,10.13,0,15.67,5.18,15.67,14.28v.36c0,6.26-6.57,6.57-22.9,8.31-17.95,1.93-35.12,7.29-35.12,28.14C659.29,247.73,672.6,257.37,690.26,257.37Zm7.17-16c-9.1,0-15.61-4.16-15.61-12.17,0-8.38,7.29-11.87,17-13.26,5.73-.78,17.18-2.23,20-4.51v10.9C718.88,232.6,710.56,241.34,697.43,241.34Z'/%3E%3Cpath class='cls-1' d='M755.21,255.5h21.45V240.92h1.26c3.44,6.75,10.61,16.21,26.52,16.21,21.81,0,38.14-17.3,38.14-47.78,0-30.85-16.81-47.6-38.2-47.6-16.33,0-23.14,9.82-26.46,16.51H777V132.1H755.21Zm21.39-46.27c0-18,7.71-29.59,21.75-29.59,14.52,0,22,12.35,22,29.59s-7.59,30-22,30C784.43,239.23,776.6,227.18,776.6,209.23Z'/%3E%3C/g%3E%3C/svg%3E");
  --yama-color-primary: #c9c9c9;
  --yama-color-primary-hover: rgb(36, 179, 192);
  --yama-card-background-color: #313641;
  --yama-background-color: #313641;
  --yama-background-color-revert: #1d212c;
  --yama-svg-footer-primary: white;
  --ifm-navbar-link-color: var(--yama-color-primary);
  --ifm-navbar-link-hover-color: var(--yama-color-primary-hover);
  --docusaurus-highlighted-code-line-bg: rgba(0, 0, 0, 0.3);
  --searchbar: var(--yama-color-primary-hover);
  --searchbar-dropdown-hover: rgba(36, 179, 192, 0.226) ;
}

/* Add red highlight */
.code-block-error-line {
  background-color: #ff000020;
  display: block;
  margin: 0 calc(-1 * var(--ifm-pre-padding));
  padding: 0 var(--ifm-pre-padding);
  border-left: 3px solid var(--yama-red);
}

/* Add green highlight */
.code-block-validate-line {
  background-color: #00ff3720;
  display: block;
  margin: 0 calc(-1 * var(--ifm-pre-padding));
  padding: 0 var(--ifm-pre-padding);
  border-left: 3px solid var(--yama-green);
}

/* Searchbar */

.aa-DetachedSearchButtonIcon, .aa-ClearIcon, .aa-Label svg, .aa-LoadingIndicator svg, .aa-ItemActionButton svg {
    color: var(--searchbar) !important;
}

.aa-DetachedSearchButton, .aa-Input::placeholder {
    color: var(--yama-color-primary) !important;
}

.aa-DetachedSearchButton, .aa-Form {
    border: 1px solid var(--searchbar) !important;
}

.aa-DetachedSearchButton:active, .aa-Form:active, .aa-Form:focus-within {
    box-shadow: rgba(24, 118, 146, 0.267) 3px 3px 4px !important;
}

.aa-Item[aria-selected="true"] {
    background-color: var(--searchbar-dropdown-hover) !important;
}



[data-theme="dark"] img { /* Image filter for dark mode only */
    filter: brightness(0.85);
}

figure {
  width: fit-content;
  background-color: var(--ifm-navbar-background-color);
  border: thin var(--ifm-toc-border-color) solid;
  border-radius: 2.5px;
  margin: 0 0 1rem 0;
}

figcaption {
  text-align: center;
  color: var(--ifm-font-color-base);
  padding: 0.5rem 0;
}

.header-gitlab-link:hover {
    opacity: 0.8;
    border-bottom: 1px solid var(--yama-color-primary-hover);
}

.header-gitlab-link:before {
    background: var(--gitlab-svg)
      no-repeat center;
    content: "";
    display: flex;
    height: 30px;
    width: 78px;
    background-size: contain;
}

div.tabs-container {
  border: 1px solid var(--ifm-color-emphasis-300);
  border-radius: 0.4em;
  padding: 1em;
}

div.tabs-container .tabs {
  border-bottom: 1px solid var(--ifm-color-emphasis-300);
}
